View Issue Details

IDProjectCategoryView StatusLast Update
0004548Slicer4Core: Renderingpublic2018-08-22 10:00
ReporterlassoanAssigned Toallison.vacanti 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.9.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004548: VTK OpenGL2 Backend: Volume rendering artifacts at volume edges when clipped
Description

Since recent VTK updates, when a volume is clipped with clipping planes then wherever the volume had non-transparent content at the edges, the content is extended from there on a plane to the boundary of the clipping region.

This can cause very distracting artifacts appear at the volume boundary.

Steps To Reproduce

Load this scene: https://1drv.ms/u/s!Arm_AFxB9yqHtI9xnZfIh9g7KAfZtA
Artifacts are visible at the boundaries.

How to create the scene from scratch:

  • Load a volume
  • Enable volume rendering
  • Set clipping ROI to remove some parts while including areas outside of the volume as well (make sure that there are non-transparent parts of the volume at the ROI edge)
  • Rotate to see the artifact at the edges
TagsNo tags attached.

Relationships

related to 0004510 resolvedallison.vacanti VTK OpenGL2 Backend: Cropping is broken with GPU Volume rendering if depth peeling is enabled 

Activities

lassoan

lassoan

2018-05-08 13:10

developer   ~0015702

Artifact example:



VrClipArtifactAtEdge.png (293,574 bytes)
VrClipArtifactAtEdge.png (293,574 bytes)
lassoan

lassoan

2018-05-09 11:28

developer   ~0015704

Another data set and corresponding scene file:

https://1drv.ms/u/s!Arm_AFxB9yqHtJAFPbE1cDeev5VZBg



VrClipArtifactAtEdge2.png (360,646 bytes)
VrClipArtifactAtEdge2.png (360,646 bytes)
jcfr

jcfr

2018-05-16 17:15

administrator   ~0015720

Last edited: 2018-05-16 17:16

View 2 revisions

@sankhesh Did you have a chance to look at this ? Thanks

lassoan

lassoan

2018-05-24 08:36

developer   ~0015732

@Sankhesh do you have any update on this?

sankhesh

sankhesh

2018-05-24 15:03

developer   ~0015734

@lassoan Allie is going to be looking into it next week.
We should have a resolution soon.

lassoan

lassoan

2018-05-24 15:27

developer   ~0015735

Great, thank you very much!

sankhesh

sankhesh

2018-05-29 13:13

developer   ~0015765

VTK Merge Request: https://gitlab.kitware.com/vtk/vtk/merge_requests/4338#note_416010

lassoan

lassoan

2018-05-29 13:57

developer   ~0015766

Awesome, thank you!

lassoan

lassoan

2018-06-07 22:35

developer   ~0015881

Unfortunately, the fix has introduced serious regression see details in the VTK merge request.

allison.vacanti

allison.vacanti

2018-08-08 10:25

developer   ~0015945

I believe that the original issue was addressed by in the VTK MR mentioned above.

The new reported issue should be fixed by this:

https://gitlab.kitware.com/vtk/vtk/merge_requests/4568

Take a look when you can a chance and let me know if this fixes the "missing pixels" problem.

allison.vacanti

allison.vacanti

2018-08-13 09:54

developer   ~0015957

The fix has been merged into VTK master.

jcfr

jcfr

2018-08-22 10:00

administrator   ~0015977

I am now marking this issue as resolved. By building Slicer with the latest VTK, the artifacts do not appear.

Note that issue 0004508 is still pending.

Issue History

Date Modified Username Field Change
2018-05-08 13:08 lassoan New Issue
2018-05-08 13:08 lassoan Status new => assigned
2018-05-08 13:08 lassoan Assigned To => jcfr
2018-05-08 13:10 lassoan File Added: VrClipArtifactAtEdge.png
2018-05-08 13:10 lassoan Note Added: 0015702
2018-05-09 11:28 lassoan File Added: VrClipArtifactAtEdge2.png
2018-05-09 11:28 lassoan Note Added: 0015704
2018-05-16 17:15 jcfr Note Added: 0015720
2018-05-16 17:16 jcfr Note Edited: 0015720 View Revisions
2018-05-24 08:36 lassoan Note Added: 0015732
2018-05-24 15:03 sankhesh Note Added: 0015734
2018-05-24 15:27 lassoan Note Added: 0015735
2018-05-29 11:31 jcfr Assigned To jcfr => sankhesh
2018-05-29 13:13 sankhesh Note Added: 0015765
2018-05-29 13:57 lassoan Note Added: 0015766
2018-06-07 22:35 lassoan Note Added: 0015881
2018-08-01 10:49 jcfr Summary Volume rendering artifacts at volume edges when clipped => OpenGL2: Volume rendering artifacts at volume edges when clipped
2018-08-01 10:49 jcfr Summary OpenGL2: Volume rendering artifacts at volume edges when clipped => VTK OpenGL2: Volume rendering artifacts at volume edges when clipped
2018-08-01 10:50 jcfr Summary VTK OpenGL2: Volume rendering artifacts at volume edges when clipped => VTK OpenGL2 Backend: Volume rendering artifacts at volume edges when clipped
2018-08-01 11:32 jcfr Relationship added related to 0004510
2018-08-06 12:25 jcfr Assigned To sankhesh => allison.vacanti
2018-08-08 10:25 allison.vacanti Note Added: 0015945
2018-08-13 09:54 allison.vacanti Note Added: 0015957
2018-08-22 10:00 jcfr Status assigned => resolved
2018-08-22 10:00 jcfr Resolution open => fixed
2018-08-22 10:00 jcfr Fixed in Version => Slicer 4.9.0
2018-08-22 10:00 jcfr Note Added: 0015977